Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
BulletAllHitsRayResult Struct Reference
Inheritance diagram for BulletAllHitsRayResult:

## Public Member Functions
virtual btScalar | addSingleResult (btCollisionWorld::LocalRayResult &rayResult, bool normalInWorldSpace)
| Override default implementation.
PN_stdfloat | get_closest_hit_fraction () const
LPoint3 | get_from_pos () const
const BulletRayHit | get_hit (int idx) const
int | get_num_hits () const
LPoint3 | get_to_pos () const
bool | has_hits () const
virtual bool | needsCollision (btBroadphaseProxy *proxy0) const
| Override default implementation.

## Static Public Member Functions
static BulletAllHitsRayResult | empty ()
| Named constructor intended to be used for asserts with have to return a concrete value.

## Public Attributes
| get_closest_hit_fraction
| get_from_pos
| get_hit
| get_num_hits
| get_to_pos

## Friends
class | BulletWorld

## Detailed Description

Definition at line 64 of file bulletAllHitsRayResult.h.

## Member Function Documentation

## ◆ addSingleResult()

btScalar BulletAllHitsRayResult::addSingleResult | ( | btCollisionWorld::LocalRayResult & | rayResult,
|  | bool | normalInWorldSpace )
| virtual

Override default implementation.

Definition at line 41 of file bulletAllHitsRayResult.cxx.

## ◆ empty()

BulletAllHitsRayResult BulletAllHitsRayResult::empty | ( |  | ) |
| inline static

Named constructor intended to be used for asserts with have to return a concrete value.

Definition at line 18 of file bulletAllHitsRayResult.I.

References BitMask< uint32_t, 32 >::all_on().

## ◆ has_hits()

bool BulletAllHitsRayResult::has_hits | ( |  | ) | const

Definition at line 79 of file bulletAllHitsRayResult.cxx.

## ◆ needsCollision()

bool BulletAllHitsRayResult::needsCollision | ( | btBroadphaseProxy * | proxy0 | ) | const
| virtual

Override default implementation.

Definition at line 28 of file bulletAllHitsRayResult.cxx.

References PandaNode::get_into_collide_mask.

## Friends And Related Symbol Documentation

## ◆ BulletWorld

friend class BulletWorld
| friend

Definition at line 96 of file bulletAllHitsRayResult.h.

## Member Data Documentation

## ◆ get_closest_hit_fraction

PN_stdfloat BulletAllHitsRayResult::get_closest_hit_fraction

Definition at line 81 of file bulletAllHitsRayResult.h.

## ◆ get_from_pos

LPoint3 BulletAllHitsRayResult::get_from_pos

Definition at line 79 of file bulletAllHitsRayResult.h.

## ◆ get_hit

const BulletRayHit BulletAllHitsRayResult::get_hit

Definition at line 77 of file bulletAllHitsRayResult.h.

## ◆ get_num_hits

int BulletAllHitsRayResult::get_num_hits

Definition at line 77 of file bulletAllHitsRayResult.h.

## ◆ get_to_pos

LPoint3 BulletAllHitsRayResult::get_to_pos

Definition at line 80 of file bulletAllHitsRayResult.h.

The documentation for this struct was generated from the following files:

- panda/src/bullet/bulletAllHitsRayResult.h
- panda/src/bullet/bulletAllHitsRayResult.cxx
- panda/src/bullet/bulletAllHitsRayResult.I